Name:          jalopy
Version:       1.5b1
Release:       %mkrel 1
Summary:       Java Source Code Formatter
Group:         Development/Java
License:       BSD
Url:           http://jalopy.sourceforge.net/
Source0:       http://sourceforge.net/projects/jalopy/files/source/1.5b1/jalopy-1.5b1.src.tar.gz
Source1:       jalopy-settings-script
Source2:       jalopy-script
Source3:       jalopy-settings.desktop
Source4:       jalopy-settings.png

Patch0:        jalopy-1.5b1-noclasspath.patch
Patch1:        jalopy-1.5b1-docfix.patch

BuildRequires: antlr
BuildRequires: ant
BuildRequires: ant-trax
BuildRequires: desktop-file-utils
BuildRequires: docbook-style-xsl
BuildRequires: docbook-xsl-saxon
BuildRequires: gnu-getopt
BuildRequires: jakarta-oro
BuildRequires: java-devel
BuildRequires: jdom
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: liblog4j-java
BuildRequires: saxon
BuildRequires: saxon-aelfred
BuildRequires: xml-commons-apis
Requires:      jakarta-oro
Requires:      jdom
Requires:      jpackage-utils
Requires:      liblog4j-java
Requires:      xml-commons-apis
BuildArch:     noarch

%description
Jalopy is a source code formatter/beautifier/pretty printer for the
Java programming language. It is aimed to provide a full-featured,
yet free alternative to the well-known Jindent.

%package console
Group:         Development/Java
Summary:       Jalopy console plugin
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gnu-getopt

%description console
Jalopy Java Source Code Formatter.

This package contains Jalopy console plugin.

%package ant
Group:         Development/Java
Summary:       Jalopy plugin for Ant
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      ant

%description ant
Jalopy Java Source Code Formatter.

This package contains Jalopy plugin for Ant.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description javadoc
Jalopy Java Source Code Formatter.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Manual for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description manual
Jalopy Java Source Code Formatter.

This package contains documentation for %{name}.

%prep
%setup -q -c

%patch0 -p1
%patch1 -p0

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

pushd main/ext/lib
  ln -sf $(build-classpath antlr) antlr-2.7.4.jar
  ln -sf $(build-classpath log4j) log4j-1.2.6.jar
popd

perl -pi -e 's|^(DIR\.DOCBOOK\.XSL\s*=).*|$1 %{_datadir}/sgml/docbook/xsl-stylesheets|' build/build.properties

%build

export CLASSPATH=$(build-classpath ant oro log4j jdom junit gnu-getopt saxon saxon-aelfred docbook-xsl-saxon xml-commons-apis antlr)

cd build
export ANT_OPTS="-Djavax.xml.transform.TransformerFactory=com.icl.saxon.TransformerFactoryImpl -Xmx256m"
DOCBOOK_42_DTD=`ls -1 %{_datadir}/sgml/docbook/xml-dtd-4.2/docbookx.dtd 2>/dev/null || :`
ant \
  -Dbuild.sysclasspath=first \
  -DDIR.DOCBOOK.DTD=$DOCBOOK_42_DTD \
  build-jar-main \
  build-jar-console \
  build-jar-ant \
  build-docu

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 tmp~/build/jars/jalopy-1*.jar \
  %{buildroot}%{_javadir}/jalopy-%{version}.jar

install -pm 644 tmp~/build/jars/jalopy-ant-*.jar \
  %{buildroot}%{_javadir}/jalopy-ant-%{version}.jar

install -pm 644 tmp~/build/jars/jalopy-console-*.jar \
  %{buildroot}%{_javadir}/jalopy-console-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_bindir}
install -pm 755 %{SOURCE1} %{buildroot}%{_bindir}/jalopy-settings
install -pm 755 %{SOURCE2} %{buildroot}%{_bindir}/jalopy

mkdir -p %{buildroot}%{_javadocdir}/jalopy-%{version}
cp -pr tmp~/docs/api/* %{buildroot}%{_javadocdir}/jalopy-%{version}/
ln -s jalopy-%{version} %{buildroot}%{_javadocdir}/jalopy

mv tmp~/docs/site/* tmp~/docs/manual/
ln -s %{_javadocdir}/jalopy-%{version} tmp~/docs/manual/api

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install %{SOURCE3} --mode=644 --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/jalopy-settings.desktop

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pm 644 %{SOURCE4} %{buildroot}%{_datadir}/pixmaps/jalopy-settings.png
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
install -pm 644 %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/

mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_miconsdir}

ln -s %{_datadir}/pixmaps/jalopy-settings.png %{buildroot}%{_iconsdir}
ln -s %{_datadir}/pixmaps/jalopy-settings.png %{buildroot}%{_liconsdir}
ln -s %{_datadir}/pixmaps/jalopy-settings.png %{buildroot}%{_miconsdir}

%files
%attr(0755,root,root) %{_bindir}/jalopy-settings
%{_javadir}/jalopy-%{version}.jar
%{_javadir}/jalopy.jar
%{_datadir}/applications/jalopy-settings.desktop
%{_datadir}/pixmaps/jalopy-settings.png
%{_iconsdir}/*
%{_liconsdir}/*
%{_miconsdir}/*

%files ant
%{_javadir}/jalopy-ant-%{version}.jar
%{_javadir}/jalopy-ant.jar

%files console
%attr(0755,root,root) %{_bindir}/jalopy
%{_javadir}/jalopy-console-%{version}.jar
%{_javadir}/jalopy-console.jar

%files javadoc
%{_javadocdir}/jalopy-%{version}
%{_javadocdir}/jalopy

%files manual
%doc tmp~/docs/manual/*



%changelog

* Sat Sep 03 2011 dmorgan <dmorgan> 1.5b1-1.mga2
+ Revision: 138192
- Fix rpmlint error : standard-dir-owned-by-package
- Adapt to mageia guidelines

  + gil <gil>
    - imported package jalopy


* Mon Jun 20 2011 gil <gil> 1.5b1-0.%%mkrel
- initial rpm

